<template>
    <div>
        <van-sticky>
            <van-nav-bar title="调查取证" left-arrow
                @click-left="(_) => $router.push({ name: 'caseExamineDetails', query: {} })">
            </van-nav-bar>
        </van-sticky>
        <van-form class="form" label-width="auto" @submit="onSubmit">
            <van-field v-model="formData.checkStartTime" label="检查开始时间" input-align="right"
                @click="checkStartPicker = true"></van-field>
            <van-field label="检查结束时间" input-align="right">
                <template #input>
                    {{ formData.checkEndTime }}
                </template>
            </van-field>
            <van-field v-model="formData.username" label="检查地点" input-align="right" placeholder="请输入检查地点"
                :rules="[{ required: true, message: '请输入检查地点' }]" />
            <van-field label="检查对象类型" input-align="right">
                <template #input>
                    {{ formData.objectType }}
                </template>
            </van-field>
            <van-field v-model="formData.objectUser" label="检查对象姓名" input-align="right" placeholder="请输入检查对象姓名"
                :rules="[{ required: true, message: '请输入检查对象姓名' }]" />
            <van-field v-model="formData.objectCode" label="检查对象身份证号" input-align="right" placeholder="请输入检查对象身份证号"
                :rules="[{ required: true, message: '请输入检查对象身份证号' }]" />
            <van-field v-model="formData.objectTel" label="检查对象联系电话" input-align="right" placeholder="请输入检查对象联系电话"
                :rules="[{ required: true, message: '请输入检查对象联系电话' }]" />
            <van-field v-model="formData.objectAddr" label="检查对象地址" input-align="right" placeholder="请输入检查对象地址"
                :rules="[{ required: true, message: '请输入检查对象地址' }]" />
            <van-field v-model="formData.objectAddr" label="检查对象地址" input-align="right" placeholder="请输入检查对象地址"
                :rules="[{ required: true, message: '请输入检查对象地址' }]" />
            <van-field v-model="formData.objectName" label="检查对象单位名称" input-align="right" placeholder="请输入检查对象单位名称"
                :rules="[{ required: true, message: '请输入检查对象单位名称' }]" />
            <van-field label="检查对象性别" input-align="right">
                <template #input>
                    {{ formData.objectUserSex }}
                </template>
            </van-field>
            <van-field v-model="formData.checkInfo" label="检查情况摘要" input-align="right" placeholder="请输入检查情况摘要"
                :rules="[{ required: true, message: '请输入检查情况摘要' }]" />
            <van-field v-model="formData.objectOpinion" label="检查对象意见" input-align="right" placeholder="请输入检查对象意见"
                :rules="[{ required: true, message: '请输入检查对象意见' }]" />
            <van-field label="第一承办人员所属部门" input-align="right">
                <template #input>
                    {{ formData.handle1DeptName }}
                </template>
            </van-field>
            <van-field v-model="formData.handle1UserCode" label="第一承办人员执法证编号" input-align="right"
                placeholder="请输入第一承办人员执法证编号" :rules="[{ required: true, message: '请输入第一承办人员执法证编号' }]" />

            <van-field label="第一承办人员" input-align="right">
                <template #input>
                    {{ formData.handle1UserName }}
                </template>
            </van-field>
            <van-field label="第二承办人员所属部门" input-align="right">
                <template #input>
                    {{ formData.handle2DeptId }}
                </template>
            </van-field>
            <van-field v-model="formData.handle2UserCode" label="第二承办人员执法证编号" input-align="right"
                placeholder="请输入第第二承办人员执法证编号" :rules="[{ required: true, message: '请输入第二承办人员执法证编号' }]" />

            <van-field label="第二承办人员" input-align="right">
                <template #input>
                    {{ formData.handle2UserId }}
                </template>
            </van-field>
            <van-field label="取证图片" label-width="100px" name="fileInfoArr" input-align="right">
                <template #input>
                    <van-uploader v-model="formData.fileInfoArr" :before-read="beforeRead" :after-read="afterRead"
                        :before-delete="beforeDelete" />
                </template>
            </van-field>
        </van-form>
        <!-- 选择器 -->
        <template>
            <!-- 开始时间 -->
            <van-popup v-model="checkStartPicker" position="bottom">
                <van-datetime-picker v-model="currentDate" type="datetime" title="选择检查开始时间"
                    @confirm="(value) => handleCheckStart(value)" @cancel="checkStartPicker = false" />
            </van-popup>
        </template>
    </div>
</template>
<script>
import api from '@/api/device/caseExamine.js'
import utils from '@/utils.js'
import { fileUpload } from '@/api/Mobile/caseEntry'
import moment from 'moment'
import dictUtils from '@/components/dict/DictSelectUtils'
export default {
    name: 'caseExamine',
    data() {
        return {
            loginname: '',
            value: '',
            value1: '',
            options: [],
            list: [],
            loading: false,
            finished: false,
            total: 0,
            formData: {
                checkStartTime: '',
                checkEndTime: '',
                checkAddr: '',
                // checkStartTime: '',
                // checkStartTime: '',
                // checkStartTime: '',
                // checkStartTime: '',

                fileInfo: [],
                fileInfoArr: []
            },
            querys: [
                {
                    group: 'main',
                    operation: 'EQUAL',
                    parentGroup: '',
                    property: 'caseType',
                    relation: 'AND',
                    value: ''
                },
                {
                    group: 'main',
                    operation: 'EQUAL',
                    parentGroup: '',
                    property: 'caseCode',
                    relation: 'AND',
                    value: ''
                },


            ],
            queryParam: {
                pageBean: {
                    pageSize: 0,
                    page: 1
                },
                params: {},
                querys: []
            },

            currentDate: new Date(),
            checkStartPicker: false
        }
    },
    created() {

    },
    mounted() {

    },

    methods: {
        //字典翻译
        getDictName(code, value) {
            let name
            dictUtils.getDictItemsFromCache(code).forEach(e => {
                if (e.value == value) {
                    name = e.name
                }
            });
            return name
        },
        handleCheckStart(val) {
            this.formData.checkStartTime = moment(val).format('YYYY-MM-DD hh:mm:ss')
            this.checkStartPicker = false

        },
        //提交按钮
        onSubmit() {

        },
        getData() {
            this.loading = false;
            this.queryParam.querys = []
            if (this.querys[0].value) {
                this.queryParam.querys.push(this.querys[0])
            }
            if (this.querys[1].value) {
                this.queryParam.querys.push(this.querys[1])
            }

            api.queryData(this.queryParam, res => {
                if (res.rows) {
                    this.list = res.rows
                    this.total = res.total
                    if (this.list.length >= this.total) {
                        this.finished = true;
                    }
                } else {
                    this.finished = true;
                }
            })
        },
        // 文件读取前
        beforeRead(file) {
            const isJPG =
                file.type === 'image/jpeg' ||
                file.type === 'image/png' ||
                file.type === 'image/jpg'
            const isLt1M = file.size / 1024 / 1024 < 10
            if (!isJPG) {
                Toast.fail('上传图片只能是 JPG 格式!')
            }
            if (!isLt1M) {
                Toast.fail('上传图片大小不能超过 1MB!')
            }
            return isJPG && isLt1M
        },

        // 文件读取后
        async afterRead(file) {
            if (this.loading) {
                Toast.fail('上传文件中...请上传后重试')
                this.formData.fileInfoArr.pop()
            }
            this.loading = true
            const { fileId, success } = await fileUpload({
                files: file.file,
                bizCode: 'Image'
            })
            if (success && fileId) {
                file.fileId = fileId
                this.formData.fileInfo.push(fileId)
            } else {
                Toast.fail('上传失败')
                this.formData.fileInfoArr.pop()
            }
            this.loading = false
        },

        //  文件删除后
        beforeDelete(file) {
            if (this.loading) {
                Toast.fail('上传文件中...请上传后重试')
                return false
            }
            const index = this.formData.fileInfo.findIndex(fileId => fileId === file.fileId)
            this.formData.fileInfo.splice(index, 1)
            return true
        }
    }
}
</script>
<style scoped lang="scss">
.search {
    width: 100%;
    position: fixed;
    display: flex;
    background-color: #fff;
    justify-content: space-between;
    top: 4rem;
    box-shadow: 0 2px 12px rgba(100, 101, 102, .12);

    .dropdown {
        box-shadow: none;
        width: 30%;
    }
}

.table-item {
    background: #fff;
    box-shadow: 0 0 .5rem .2rem rgba(82, 81, 81, 0.11);
    border-radius: 1rem;
    margin: 1rem .7rem;
    padding: 1rem;
    box-sizing: border-box;

    .title {
        display: flex;
        justify-content: space-between;
        padding: .8rem 0;




        div:nth-child(1) {
            font-weight: bold;
        }

    }

    .two-title {
        color: #7e7d7d;
        line-height: 2rem;
    }

}

.tag {
    display: inline-block;
    background-color: #1A89FA;
    padding: .1rem .4rem;
    border-radius: .4rem;
    box-sizing: border-box;
    color: #fff;
}

.pain-primary-tag {
    display: inline-block;
    background-color: #fff;
    padding: .1rem .4rem;
    border-radius: .4rem;
    box-sizing: border-box;
    border: 1px solid #1A89FA;
    color: #1A89FA;
}

.pain-danger-tag {
    display: inline-block;
    background-color: #fff;
    padding: .1rem .4rem;
    border-radius: .4rem;
    box-sizing: border-box;
    border: 1px solid #EE0B24;
    color: #EE0B24;
}

::v-deep .van-search {
    padding: 0;
}

::v-deep .van-dropdown-menu__bar {
    box-shadow: none
}
</style>